summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-04 06:08:51 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-04 06:08:51 +0000
commit67eeb50df06ede62d41c248c06f1b52d2aa44765 (patch)
tree4aecc708fac9d24bc38f6bb2171d0129d77afe18 /dev-python
parentc36034f97880ec64b0b3bd4e1792d90b68fdd30b (diff)
downloadbaldeagleos-repo-67eeb50df06ede62d41c248c06f1b52d2aa44765.tar.gz
baldeagleos-repo-67eeb50df06ede62d41c248c06f1b52d2aa44765.tar.xz
baldeagleos-repo-67eeb50df06ede62d41c248c06f1b52d2aa44765.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-8.5.0.ebuild1
-rw-r--r--dev-python/Faker/Faker-8.5.1.ebuild28
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.87.ebuild56
-rw-r--r--dev-python/boto3/boto3-9999.ebuild6
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.87.ebuild59
-rw-r--r--dev-python/botocore/botocore-9999.ebuild13
-rw-r--r--dev-python/cfn-python-lint/Manifest1
-rw-r--r--dev-python/cfn-python-lint/cfn-python-lint-0.50.0.ebuild57
-rw-r--r--dev-python/google-api-core/Manifest1
-rw-r--r--dev-python/google-api-core/google-api-core-1.29.0.ebuild44
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.13.12.ebuild62
-rw-r--r--dev-python/identify/Manifest1
-rw-r--r--dev-python/identify/identify-2.2.8.ebuild19
-rw-r--r--dev-python/lxml/lxml-4.6.3-r1.ebuild2
-rw-r--r--dev-python/pip/pip-21.1.1.ebuild2
-rw-r--r--dev-python/pip/pip-21.1.2.ebuild2
-rw-r--r--dev-python/pkgconfig/Manifest1
-rw-r--r--dev-python/pkgconfig/pkgconfig-1.5.4.ebuild20
-rw-r--r--dev-python/pycairo/Manifest1
-rw-r--r--dev-python/pycairo/pycairo-1.20.1.ebuild46
-rw-r--r--dev-python/python-magic/Manifest1
-rw-r--r--dev-python/python-magic/python-magic-0.4.24.ebuild30
-rw-r--r--dev-python/snakeoil/snakeoil-0.9.6.ebuild1
-rw-r--r--dev-python/sphinx-panels/Manifest1
-rw-r--r--dev-python/sphinx-panels/sphinx-panels-0.6.0.ebuild26
-rw-r--r--dev-python/sphinxcontrib-doxylink/Manifest1
-rw-r--r--dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.6.1.ebuild28
-rw-r--r--dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.8.ebuild2
-rw-r--r--dev-python/zeep/zeep-3.4.0.ebuild4
33 files changed, 474 insertions, 46 deletions
diff --git a/dev-python/Faker/Faker-8.5.0.ebuild b/dev-python/Faker/Faker-8.5.0.ebuild
index ee753c20e0d8..0473bf2016c8 100644
--- a/dev-python/Faker/Faker-8.5.0.ebuild
+++ b/dev-python/Faker/Faker-8.5.0.ebuild
@@ -20,6 +20,7 @@ RDEPEND=">=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
BDEPEND="
test? (
dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
dev-python/random2[${PYTHON_USEDEP}]
dev-python/validators[${PYTHON_USEDEP}]
)"
diff --git a/dev-python/Faker/Faker-8.5.1.ebuild b/dev-python/Faker/Faker-8.5.1.ebuild
new file mode 100644
index 000000000000..0473bf2016c8
--- /dev/null
+++ b/dev-python/Faker/Faker-8.5.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="https://github.com/joke2k/faker"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ >=dev-python/text-unidecode-1.3[${PYTHON_USEDEP}]
+ !dev-ruby/faker"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/random2[${PYTHON_USEDEP}]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index f7b92101150a..0c52de43a1e8 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -3,3 +3,4 @@ DIST Faker-8.2.1.tar.gz 1144260 BLAKE2B 3c523e394043d2294e9973c0a2764a7c7961ea89
DIST Faker-8.3.0.tar.gz 1144870 BLAKE2B fba95fdc3023dc583345d0a7890b4ac6318ca87157270e1d844a2978bd2866c1cd8e8a334e41bc0b8689a1c8814a5353ab4adbb08af49a31779217d82b913ce6 SHA512 7f046e60636dc7c2a584eb75e832a674715424b91de5eac6dba423d40100ce44b5baec178976bcf2b00b5edb81c5796f5eeebed0572984e7740c9e3279afd51a
DIST Faker-8.4.0.tar.gz 1146293 BLAKE2B 9ec37d76ebfe486a9671f5fc97e321420b9cf83811894db4f7264430f441ab63309e2abed0b5c900467685d7fe979001c216a9e32323c764867f127025706558 SHA512 03abef5c85edccf924191f2bc5be1dd64d56f827bc4307fed16becac7981c0340fa900748e767f2bbbf37721075c03ac068892870f2ac895f8d748403ae8bb08
DIST Faker-8.5.0.tar.gz 1147011 BLAKE2B 497a3f46a61519707ab3e8d78240ea5dd796b247268930ee4117647b24e4822a023ddda2ffdc1333dde4e35eedc1b7110f2103d0f49d0227ea7991c75c60c7df SHA512 29de2928109281bada27923a76ccb7cfd9e31211d0474cb47473197ea0c89983ac10e3dc990eb987ea3b45b5f5aa324b53004b60b5e20d922969bc552de96f01
+DIST Faker-8.5.1.tar.gz 1147272 BLAKE2B 5842f7ea74cb5eb02bd149e95fbff3d6a75bb007e1e9de98a808854c37b59bd337f17617c4dd8cd899a6740babd4a501bb09bf840cfbbb689c529517ff30271d SHA512 a787bbf4bacd06e7af777e4f10714167d7e9e8ad743cf99d51a3a4c312ded8e5085559f667ab6fca3a6df87650feabf88b0ec647e049c26576e65b3a77191ad4
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index cfbe961bdefd..64ae47d33edd 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -8,3 +8,4 @@ DIST boto3-1.17.83.tar.gz 376963 BLAKE2B 0bdcae1097a8ee4250c08fe639419ea99b83e33
DIST boto3-1.17.84.tar.gz 377284 BLAKE2B dbbc6b8643b720a8a5409c334e268b6de465e7db05684ff5a70d95c91e7e2feff3c3db94ad85f400ac7451e8f37537732ed416602c35bf37955d840701bf5bb4 SHA512 19d224c9bd7135d1de4da807b51f72a3366d5774dba970896388bffb1308b348b001453c0632de5eee8f03bdf0c2b8cf3e9da894e73cb16e10551e060beef5fe
DIST boto3-1.17.85.tar.gz 377940 BLAKE2B 7fdfa25b7fd6467f484dc988bac280b0e4e7044f2a064625efdc5e6f9725b038f08b88f63442452b151541ae4f0ff26ae395816f6422b49474d2e8d93df3a7da SHA512 126e78056b8ac52cba3db5965563c4b6c1451f5aeba2d7d775f358e75f810229102328230e0f5dd1ef3767468106f1d7f3af5575e51422c6b63ef6b509318e70
DIST boto3-1.17.86.tar.gz 378144 BLAKE2B 35d6bfec515c985ead488811e7f2ad021f671e8eee1e63ae1aaade8f4a03dcca228483ec81c4911d12c290b3e4b3363ae92e9153eda83a638258394d0c7b4fcf SHA512 0b267b2333925e830237c830ef5258fa8834fd584f6f4132c012141b4ad5e38b6e6977de019d60f0ba93e3c8b4d9a1036d0c989366145a9d25ac0e5e7e4d39ae
+DIST boto3-1.17.87.tar.gz 378759 BLAKE2B 21ad4c735f34edbd82767043653ed0cee9604f0b36328f40cb22c4f9cd57758e0bc89ae93fd798babc1dded019e2b1531bbffa0574edd7ce3e07515374cd97cf SHA512 da3f2cb772d3f9708f5cbb102907ef58622435d4acdec8fe0abde80511f0734e6cc9739f0652150edc9e4f12039c0c7ee62bcc0059b42d86d5af0e809d779fab
diff --git a/dev-python/boto3/boto3-1.17.87.ebuild b/dev-python/boto3/boto3-1.17.87.ebuild
new file mode 100644
index 000000000000..76a508785b03
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.87.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/boto3/boto3-9999.ebuild b/dev-python/boto3/boto3-9999.ebuild
index fbd1003ed88a..76a508785b03 100644
--- a/dev-python/boto3/boto3-9999.ebuild
+++ b/dev-python/boto3/boto3-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1
DESCRIPTION="The AWS SDK for Python"
@@ -17,7 +17,7 @@ if [[ "${PV}" == "9999" ]]; then
BOTOCORE_PV=${PV}
else
SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
# botocore is x.(y+3).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index a9b6812d1810..64628b3caf3b 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -8,3 +8,4 @@ DIST botocore-1.20.83.tar.gz 7786168 BLAKE2B 1bd8864da814ed502c4e0860d8c7a82c6c1
DIST botocore-1.20.84.tar.gz 7792555 BLAKE2B e9459fad976bb81541ce933666edccdbfe9910674cde9f23b264388845cb3e98cae77639a3333cb3fec00c33602af8fea82681fbd387775ff9ed47245e4d0e4f SHA512 da19ffb81c24c2e7a10c5e0647179f36ebf89c097f795cb16d723a3e0311a81e9c835b7b3795d02047d084a098507f4b6e0cc502129877e4258691a6a6ee1cee
DIST botocore-1.20.85.tar.gz 7795550 BLAKE2B 483b6fef456de9a37b00dbaf0f2af766079447f70fb992c96f0ab8208c3ce0e39a459d89a29e07b7e9fed9e1b39ddfeac28c3de5bfac1ddde1aac2cbecfe4056 SHA512 1a3e07da2c1b60680c858e4b732fe340563b18ec10aad7a9250bff7e7a11a97ccd3e952245187b90fe84b2fddd8f48568d70d69a03612782da5d90a8e2d06de3
DIST botocore-1.20.86.tar.gz 7798788 BLAKE2B 93450262bf1e34a627a64f8972e4d8b02dc24e1646633e89d4911751b0c919b9dd3515021cfffcd0c79223b237a8bb283220f6793c8e411d399a75321cd7b369 SHA512 fd630d93645861a94173a38b50c7b2ef1c646e33ad30d75eccb4b92bfa0ce08c06ac39ea6bb38f7e5c551f625b919b00170c4a243e67d5d66789a011ee5390a1
+DIST botocore-1.20.87.tar.gz 7800088 BLAKE2B ba98b0f910216a340f48adb5ddf14aa9239ca44202641c97ca91da69f34a67716c50d9bc6a330021fd630f7c309062fc0326543e46ee1207c294870baefd0aeb SHA512 b922e40030a1708ce2e5a2fa60012e21e28b955c6d30fbced5d1a93dafe189e83430b5cee162e2ab73e80c7dfa18657c2ca42057c17e943c0d421c6cd9969b53
diff --git a/dev-python/botocore/botocore-1.20.87.ebuild b/dev-python/botocore/botocore-1.20.87.ebuild
new file mode 100644
index 000000000000..ca62b7dad65f
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.87.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/botocore-9999.ebuild b/dev-python/botocore/botocore-9999.ebuild
index f63e2e19f991..ca62b7dad65f 100644
--- a/dev-python/botocore/botocore-9999.ebuild
+++ b/dev-python/botocore/botocore-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -16,15 +16,14 @@ if [[ "${PV}" == "9999" ]]; then
inherit git-r3
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
- KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
fi
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
- dev-python/docutils[${PYTHON_USEDEP}]
dev-python/jmespath[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
- dev-python/urllib3[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
@@ -35,7 +34,6 @@ BDEPEND="
PATCHES=(
"${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
- "${FILESDIR}/botocore-1.16.7-unlock-deps.patch"
)
distutils_enable_sphinx docs/source \
@@ -43,9 +41,8 @@ distutils_enable_sphinx docs/source \
distutils_enable_tests nose
src_prepare() {
- # py3.9
- find -name '*.py' -exec \
- sed -i -e 's:cElementTree:ElementTree:' {} + || die
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
# very unstable
sed -i -e 's:test_stress_test_token_bucket:_&:' \
tests/functional/retries/test_bucket.py || die
diff --git a/dev-python/cfn-python-lint/Manifest b/dev-python/cfn-python-lint/Manifest
index d2160d438d81..8ce3cb058d39 100644
--- a/dev-python/cfn-python-lint/Manifest
+++ b/dev-python/cfn-python-lint/Manifest
@@ -1,4 +1,5 @@
DIST cfn-lint-0.49.2.tar.gz 7012647 BLAKE2B 1508c7c2c400ea4fdd878961a00d79b6c464de70f6ff5269069c73d4c524317e37e9431fba0a686da16958b7c575d4d3629a83c31c3f89d81a68f5c320355b14 SHA512 7e7b97d727b06649b2a56b67f1251c24df2646c9759821a7525842796a81e834f560fe5a09431220ead9fd68ad0fa9978a65bb1d9bdeab907aba0a76095fd712
+DIST cfn-lint-0.50.0.tar.gz 7061105 BLAKE2B bba39823b729b0a53dcc97341b6408654190bceb86acd7de0e2ee1a4ae34234ca6ddc3a4d374c38115632faa0fbbb51fbf07cf717853dd917a262ef5c1116ac9 SHA512 9dc5c00946a9bb142771a4b63571043056b1f522348f11256d7d3181e750c251cfab805a66df884b496fd7639442da0e72f65c0a43cc2ce2ed35f214031c7b1a
DIST cfn-python-lint-0.48.3.tar.gz 6758651 BLAKE2B a8aeaffb0791789b25c94c630532ced223432f9902cf60664e4b111d162b4379d6307eda5c8f8074f7d2917ff25f44657016894b2140c8ea1dbf3259b24dde38 SHA512 ab1555719edb9b3541bfe60ce2701cca9e2ab9f4627c1b46ab8f4920477531f56f14f393b3575525da81b6aefd087b6c3cac516bdd6eb1db0f31304d7c63e1cb
DIST cfn-python-lint-0.49.0.tar.gz 6797106 BLAKE2B aa60c3e5eb246c45997af57f934d2710b56c4966babb61f56cc538c49606e3befd130f6a4298b124d38401927ae40127e699fba6a1f69ee177c07c9bf5d880e4 SHA512 4b656cda70de686aa3bb404908eac6ff66cabc0ebb064d5ccbe554a10551e8a5a7a308e3480826ec52b87549a8626f2a9cbbf51bd44613d94344db8dcd4443a7
DIST cfn-python-lint-0.49.1.tar.gz 6906770 BLAKE2B 3115e610a73f072f56f0ed45ab8c88f7a906115437081d8974a135b3a9fbfcec4f677bdc108fa0ed37814caa6f0cc1e22fa7892d715c658e9ef05c8299f377a6 SHA512 4ceda24495aa43ad84ca7e63aa566521aab339f01308f5754372289a7f595d6805d6b1ac9bf637ba20a05bf17b93f8a06d5d1fd4dca3b8955094f54a62e28313
diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.50.0.ebuild b/dev-python/cfn-python-lint/cfn-python-lint-0.50.0.ebuild
new file mode 100644
index 000000000000..7602d69e05bf
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.50.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+# TODO: pkgmove to cfn-lint
+MY_P=${P/-python}
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-lint/"
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.35.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' python3_6)
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install unittest
+
+PATCHES=(
+ "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ # requires git checkout
+ sed -e 's:test_update_docs:_&:' \
+ -i test/unit/module/maintenance/test_update_documentation.py || die
+ # requires Internet
+ sed -e 's:test_update_resource_specs_python:_&:' \
+ -i test/unit/module/maintenance/test_update_resource_specs.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index 45d66e57ec34..575a88003575 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1,3 +1,4 @@
DIST google-api-core-1.26.3.tar.gz 133409 BLAKE2B ca3c63769f87cc79483d5ac52646cb044fa21e4f702a945994aeffad71b5be6bd1105e7aa3ec489c943d8adb1148f1c5eb868d64d71f0bcc4a6084ff470acf05 SHA512 8a7753ee30f6f3bb78265b083d8fb80a48021ab32c849ddadaf969263e5a63bfaeb3010b584440d5c5f1c4e0dcd4e8fcd4df16321ccb03d3c0932e19502bbe4c
DIST google-api-core-1.27.0.tar.gz 134035 BLAKE2B be074208ac51b6e33466a2304e5780894d6a420ccf7ea36e5b98b6d9f920cd6f0cc9f94dababb154731ebe4a36d8b863897f5c654e00068a0f12753ceecb6e8c SHA512 5e8ca58c7f1dc9aa3e612ea635feb84a115c0f21bde2a3152cd54be5b041841ab1c0d2c725660794e15d42e63a4b6955a5318d3dec20bbbb3e7d683c630a5f5e
DIST google-api-core-1.28.0.tar.gz 133640 BLAKE2B 8134e39cc3ff2fbb850d5e774d08589e3e64b83ca5d5209279f5d1b7fc2eb350a523bbe2890fba6d907689149df3872a7e0a11991b1ecc62fc64a4753dce38e4 SHA512 3702d27613e621394209047451729c1308beb88c917033b4340e3fa96bf4a5ec36ad2594c98ed14439c578f69a202d95a96d30472438a30417484cff6e06fe7d
+DIST google-api-core-1.29.0.tar.gz 134251 BLAKE2B 46455f34ad18bd57b21afe70b237466a51d5dbaca8f46f31491d00fcc7e6339fcf48e150418ef71100a628245cc5333984e6377e27eec00b9b55e0c1a3de86e2 SHA512 b8a7b19ba737172e04c0a322af7c60299b72002b17a099fbaa9445c4965b94fd6f3087380fa4262f4440113af4304d5235cd062f22c27cd997e62b276ea67471
diff --git a/dev-python/google-api-core/google-api-core-1.29.0.ebuild b/dev-python/google-api-core/google-api-core-1.29.0.ebuild
new file mode 100644
index 000000000000..b40ab82c7645
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-1.29.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="https://github.com/googleapis/python-api-core
+ https://googleapis.dev/python/google-api-core/latest"
+SRC_URI="https://github.com/googleapis/${PN//google/python}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${P//google/python}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ dev-python/googleapis-common-protos[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${D}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 3682d71caa6a..55bca9156656 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -2,6 +2,7 @@ DIST hypothesis-python-6.10.1.tar.gz 9126246 BLAKE2B cc8cb3436d1de5d3d65a13cb5ed
DIST hypothesis-python-6.13.0.tar.gz 9128293 BLAKE2B be618d42639602bc6617f8b5e9374812298e9d6150b6510a8060ca7c489ea69f1d6bd2cf9322c325c9bffc3c3f886fb4a4fb038159fa2c81920541ac4cb668cd SHA512 66fd6e7842b7b257c92cf756db4cf97bfb64006c89e3e58cda154ebe9345302f0264297df8d9de0685033a0f4e43909d65e76495689a8ded9968ecda586b668c
DIST hypothesis-python-6.13.10.tar.gz 9132876 BLAKE2B fb9b48465fd6e6ce08423384753ef3149aac6e2b57230f44119ad685c530ac68fac0b1a1925f2ab98586265055151e9564fa287262b06aefe68c2a78d8b3ae4d SHA512 f166a025dee3ec31033d8f8a3909e6f9ee4b2e14420ae41777a41163384502cfe9f20632fb134e38797817ee19972a7068e4233e64417fb4cf5af51427a1963c
DIST hypothesis-python-6.13.11.tar.gz 9133504 BLAKE2B b9cb54dc05aafd57424a2f9fff097a66e3ba5e55408f8a4587eb7aee079f1ad494e3a9cc18a7797c09fa4444715290dc49c58b98e722dc0722d8cad0d6cbbe0d SHA512 9cb8ce31a7062ab98db829300c1f68e1e24bf02a39ebf4ffbbf47554741dd0bdb96edd69aa7a360570405ca85b1fd7956eb26c5b9a6898f6f8f6f79177522bf6
+DIST hypothesis-python-6.13.12.tar.gz 9133873 BLAKE2B 161e323d9dad6d6a91641336b6e66fe0b00bcc902d844480ed0cea59b89c455eaaf8f57122636af464719d63cf96d0dfeb42dbd855d5599856636b4f4e1520bd SHA512 e58d9a676b9f6592134f4f4997d7585001c28980697e77f8f3216c5bba65256c15784e7eec5458f58684b61cc5a0d9ef2465748412a601a867a70e5b72fde91d
DIST hypothesis-python-6.13.2.tar.gz 9130008 BLAKE2B 3ca5c306ac402002a1435b8ccbc034f2a7acf1553eb6095e0394ff1ddf778f47ef6f72359cb5219db924edc18623b22732b4a94bd7c269217ec632b8d59adc1c SHA512 8c7e1a5de011ef66f5105009aa82f2b23ff36f0b0906554ae65e2e55e10c4df743c894b6264002c86bae3fc5e1dd7ded7e913f0866ed725e1afd4c9f54022b7c
DIST hypothesis-python-6.13.4.tar.gz 9130435 BLAKE2B eeb78cc647df49ea11fb0e0f4d8412e20095e7c33bb0601dcbaad2b9e9929423729b25b1bfbf2a27b05e87ae38ced4e9aeba5bae4de76cfc81aae2d073248de0 SHA512 93db99bdbe408ddbad4baf983b00b3e7624fd28d15a0d4c1453437328a51b0733db13e3b7b04b40bc60aa05e2e8364ce5b186d81a2d33e50b49f5a406fec95d6
DIST hypothesis-python-6.13.5.tar.gz 9131314 BLAKE2B 3de7ba681ab9c0907920ea7ad562a4434f06009a7bced47b98bf46da5d15aea35085350f4aca24fd41ba9fd14957e4de1d56092d49e757ea60a1575f59371add SHA512 06765607be1a49d92382d426105021ed9dca91c5b41674ba45f0a29ce7cb06537edf706ea7305300f9aae7d8c9b1827bcaf807e3c4aece9594a55b3c0122c622
diff --git a/dev-python/hypothesis/hypothesis-6.13.12.ebuild b/dev-python/hypothesis/hypothesis-6.13.12.ebuild
new file mode 100644
index 000000000000..3858e9c1e208
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.13.12.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{7..9})
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!dev-python/pytest-describe
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || ! has "${EPYTHON}" python3_{7..9}; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/identify/Manifest b/dev-python/identify/Manifest
index 4875122a6599..81dddcfddb70 100644
--- a/dev-python/identify/Manifest
+++ b/dev-python/identify/Manifest
@@ -1,3 +1,4 @@
DIST identify-2.2.4.tar.gz 100967 BLAKE2B 9473a157ce2aed13ed45d6e8d83b4510c40ae977406b9d7b211caa70c27d1850cf49da8848495841281b1f192b576d269a5372215effd7d89c9211e51d51151d SHA512 25e255fd62d0e75aafa7037085362b7bf2ba8ae142bfb11e0e20452d503d8ec3f90ec84c8ef8966fb021fe1054c226862b3ce99d2288ec9aaa758a8971d1c87a
DIST identify-2.2.6.tar.gz 101016 BLAKE2B eac32751d54379e3ba5ca5970c3fc02b6ac9f677a26f7a2c91986ba6ce8773a8e51ed98f17b6b12ba920cabd3d66ca23cd765d2cb6c48253ff97c34ddb9cb81e SHA512 09694ea3d92265385a79464ef948effb5b074f5b67a8a25171b4872b2cd70537a17c87c2aa94b66e3079f2047b290300beb7ed74be50ecdf09cb723948bc11d9
DIST identify-2.2.7.tar.gz 101032 BLAKE2B 988aecb3f32b1d1416984ad7cb5937f85600e222a1053d2800dda1c498fea2660f86ee42208611c71e29b9827e212992fed35697a3d24f02814cc6ea8a560615 SHA512 f3c4073a9018ba595c8535447c7ccb20ca1f8d8bb006b4662db19b3356afc33d810b2073810b86d7dec4572b151c53301feca09bf0662d4d683febbdf7735e06
+DIST identify-2.2.8.tar.gz 101040 BLAKE2B 46bf6631c6006ad2326f175257ee2cb4324ac463419cb50df0919768b2787afcc135dc1982ee1feb4a5efef6990f3224f63fb2dea19dc6795a3fe736e6b8555e SHA512 d166f37fa60cafc0fb624cac9626115adaecd8ec88f42ce71b81794b6aa8301e42f459bfbc1da3d81709ee5681184e927e9111a906a22ec8c977b24f1e9dc17f
diff --git a/dev-python/identify/identify-2.2.8.ebuild b/dev-python/identify/identify-2.2.8.ebuild
new file mode 100644
index 000000000000..5e6f8e81442f
--- /dev/null
+++ b/dev-python/identify/identify-2.2.8.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="File identification library for Python"
+HOMEPAGE="https://github.com/pre-commit/identify"
+SRC_URI="https://github.com/pre-commit/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/editdistance-s[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
diff --git a/dev-python/lxml/lxml-4.6.3-r1.ebuild b/dev-python/lxml/lxml-4.6.3-r1.ebuild
index 8f725382d9a0..0b2bdc880159 100644
--- a/dev-python/lxml/lxml-4.6.3-r1.ebuild
+++ b/dev-python/lxml/lxml-4.6.3-r1.ebuild
@@ -14,7 +14,7 @@ S=${WORKDIR}/lxml-${P}
LICENSE="BSD ElementTree GPL-2 PSF-2"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc examples +threads test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pip/pip-21.1.1.ebuild b/dev-python/pip/pip-21.1.1.ebuild
index 30f594b36ca6..f76b1bede4e9 100644
--- a/dev-python/pip/pip-21.1.1.ebuild
+++ b/dev-python/pip/pip-21.1.1.ebuild
@@ -30,7 +30,7 @@ SRC_URI="
LICENSE="MIT"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~x64-macos"
SLOT="0"
-IUSE="test -vanilla"
+IUSE="test vanilla"
RESTRICT="!test? ( test )"
RDEPEND="
diff --git a/dev-python/pip/pip-21.1.2.ebuild b/dev-python/pip/pip-21.1.2.ebuild
index ff52156abe93..6a29ad431e71 100644
--- a/dev-python/pip/pip-21.1.2.ebuild
+++ b/dev-python/pip/pip-21.1.2.ebuild
@@ -29,7 +29,7 @@ SRC_URI="
LICENSE="MIT"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
SLOT="0"
-IUSE="test -vanilla"
+IUSE="test vanilla"
RESTRICT="!test? ( test )"
RDEPEND="
diff --git a/dev-python/pkgconfig/Manifest b/dev-python/pkgconfig/Manifest
index 479933744bf2..5c45e4e51fcf 100644
--- a/dev-python/pkgconfig/Manifest
+++ b/dev-python/pkgconfig/Manifest
@@ -1,2 +1,3 @@
DIST pkgconfig-1.5.2.tar.gz 6984 BLAKE2B 1d3b724853498505ef9f60de89b9f90e049334f42451202f07f29a0dc5efc21eb13045afebef3d20b0ed0bdedda053eb37ccbda0a8977febb408d3c69a2efb12 SHA512 7f457fd956f2b4e2580433311d166dd5537cafb95c0842a85f69bf84bbbde58861023acb7d221383b4306ec0ce31badc0481b2394b3e737de0db2e194c5e250f
DIST pkgconfig-1.5.3.tar.gz 7310 BLAKE2B 361439cadf3f21a76d379a8b7eede9d2c73fa114c5816e8964b7086e867ca0d089dbcfdc219ea0d481934940fcf0a0ca2398b0850448bd3e577befb1266034a6 SHA512 00cb148977fb2b25d747ab1aa8d99deaf250df67d8c3ec0f47160714aabce4de3d96cd43e7292a8e4ccf850de1aceabc96d5516995365da088e00a731d538c24
+DIST pkgconfig-1.5.4.tar.gz 7323 BLAKE2B 3edc17a5491d788e23de875fabf01482e88d289b2376b4594c0a62fac5b761974c1b6b563f12862d202aeb9e63badb1cb105aebc9ac22b813f36d46952459c0e SHA512 c50593427122b24d3328fcbdf0d13eb9ce3ede068a23cd7c43d19a518386bf06ba42ac07d647d69bfda056baf8b6549955f9dfef78d785e64596833c4af5b831
diff --git a/dev-python/pkgconfig/pkgconfig-1.5.4.ebuild b/dev-python/pkgconfig/pkgconfig-1.5.4.ebuild
new file mode 100644
index 000000000000..5cabb0c9e816
--- /dev/null
+++ b/dev-python/pkgconfig/pkgconfig-1.5.4.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+inherit distutils-r1
+
+DESCRIPTION="Interface Python with pkg-config"
+HOMEPAGE="https://pypi.org/project/pkgconfig/ https://github.com/matze/pkgconfig"
+SRC_URI="https://github.com/matze/pkgconfig/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="virtual/pkgconfig"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pycairo/Manifest b/dev-python/pycairo/Manifest
index 567b04530540..baf457c5c371 100644
--- a/dev-python/pycairo/Manifest
+++ b/dev-python/pycairo/Manifest
@@ -1 +1,2 @@
DIST pycairo-1.20.0.tar.gz 344370 BLAKE2B b72a3dfd3ad6332f6be2c0fc0650ef87d97a51881bd239421cdb6355016e952093f9fa05b7872d7cce4a50bc4bac27ff0fb4c11e446e51ada9d7c1adc019a175 SHA512 d32d008b741653d02324b206a438f5fd85f2a433201d6f8b98c8f1adc712abea611a4b5ed95c55258efb662dc579eed6b2f752b10d9fc2b6a7c8e5edd19e5266
+DIST pycairo-1.20.1.tar.gz 344639 BLAKE2B 7327a1b9aacc62eb7b2630ac2b9ce43ad7a44e60cb749b60a2973fb9036a84c1f3f4264da428d720158a5e32cd47f679d5956ebf3ce094e75d742584a68adda4 SHA512 bb2340170c1d39d50dd8ceeb1b6ceadd96ddbd27d78a8a5b7dadf7dc427558d766f65d62e1ceeae19ab200e7ffb5ad122b5e51daa8ef9bff08fcd97a44005697
diff --git a/dev-python/pycairo/pycairo-1.20.1.ebuild b/dev-python/pycairo/pycairo-1.20.1.ebuild
new file mode 100644
index 000000000000..c0a2f00f2e56
--- /dev/null
+++ b/dev-python/pycairo/pycairo-1.20.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the cairo library"
+HOMEPAGE="https://www.cairographics.org/pycairo/ https://github.com/pygobject/pycairo"
+SRC_URI="https://github.com/pygobject/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="examples"
+
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ >=x11-libs/cairo-1.15.10[svg]
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests setup.py
+
+python_install() {
+ distutils-r1_python_install \
+ install_pkgconfig --pkgconfigdir="${EPREFIX}/usr/$(get_libdir)/pkgconfig"
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/python-magic/Manifest b/dev-python/python-magic/Manifest
index fc4007252a89..4afe78c48a6f 100644
--- a/dev-python/python-magic/Manifest
+++ b/dev-python/python-magic/Manifest
@@ -1,2 +1,3 @@
DIST python-magic-0.4.22.gh.tar.gz 863567 BLAKE2B 6994869e4cc5ba5ff7ae1a6ac6117f5b1553a11079fb5faaa23b48ee241b2615e2514270f66c55b417b4051d6a5aedd7c289f139c23842979e4af0cdb7a34e3a SHA512 7f16c090a713be4ecc25727f0195bddfadfa9f54507899e35f48bd268ea1d78637ca024ecf02e331a8988a931e430f7346bb5f4b46e58ddc1ff03ec678640e6d
DIST python-magic-0.4.23.gh.tar.gz 863739 BLAKE2B 7adcf4f8662cb5c6dab1d680a48f80db03f78d6f2f67a81f9d1464a79b820d8ed28a69ca5aa1c8eaa1b016556217dcab0878725a370318db0905985d332561f4 SHA512 8f6093ba6e1138e8c81e7afc596946c3657ddea55554edcf555f6490e2d19c936f41367cd27a04554a344b3116d033ab760c2c954ac6ffd017b9c319abe44b00
+DIST python-magic-0.4.24.gh.tar.gz 863700 BLAKE2B 09ecc8bea1696343ec2462e6989da8059c40f88e401390c8c491e531540ef0b38e5a8eac1fb8a3356203e25cf2e5caa6dad0c13d24eb34a7a299b5a071ae29b3 SHA512 b3ec148da398293465299938fabf691b56c4b3876f6abbb7a734a9c0a5180cc758a15f7085bbf1bf40ec6031697ec84d98c161db1fd04301133af09928c611fc
diff --git a/dev-python/python-magic/python-magic-0.4.24.ebuild b/dev-python/python-magic/python-magic-0.4.24.ebuild
new file mode 100644
index 000000000000..023fc69a8768
--- /dev/null
+++ b/dev-python/python-magic/python-magic-0.4.24.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Access the libmagic file type identification library"
+HOMEPAGE="https://github.com/ahupp/python-magic"
+SRC_URI="
+ https://github.com/ahupp/python-magic/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD-2 MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="sys-apps/file[-python]"
+BDEPEND="
+ test? ( sys-apps/file )
+"
+
+python_test() {
+ local -x LC_ALL=en_US.UTF-8
+ "${EPYTHON}" test/test.py -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/snakeoil/snakeoil-0.9.6.ebuild b/dev-python/snakeoil/snakeoil-0.9.6.ebuild
index 8ed6ede57986..d8ad5918910c 100644
--- a/dev-python/snakeoil/snakeoil-0.9.6.ebuild
+++ b/dev-python/snakeoil/snakeoil-0.9.6.ebuild
@@ -4,6 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
PYTHON_REQ_USE="threads(+)"
+DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
if [[ ${PV} == *9999 ]] ; then
diff --git a/dev-python/sphinx-panels/Manifest b/dev-python/sphinx-panels/Manifest
index 94dd6b5569a6..a1ec7508ccc3 100644
--- a/dev-python/sphinx-panels/Manifest
+++ b/dev-python/sphinx-panels/Manifest
@@ -1 +1,2 @@
DIST sphinx-panels-0.5.2.tar.gz 400415 BLAKE2B af103b3a10032590def4b41c650e9023fe94ec6e2fe764a09237cad4d928b1ff429a7a385770f2d07724897413f001ae4037c6e8638b3a9c1d63362c361fd999 SHA512 6d4eb566623543d0553790136e420e3f3a23e06f38b64642e2bb535a5401a954719135a9af89b3655190aebcd35024cecd40b887e7b2bb1394a2a575447316c0
+DIST sphinx-panels-0.6.0.tar.gz 400548 BLAKE2B 685b241ffe839face392950ccaa5c00d5613ee4076a4f8d62fdff32158f2d02c444375b7f656a89d4712f8bf895b937ff9fe650cab98670f03b0c4d75e545f97 SHA512 74064538ff8cd1c7c44b5daeda272217618ed33394694883046972b4262d503e1426e7573d8b49040d4b426651377b89fd4ad2a085f1e62827e7ef51e6912e5f
diff --git a/dev-python/sphinx-panels/sphinx-panels-0.6.0.ebuild b/dev-python/sphinx-panels/sphinx-panels-0.6.0.ebuild
new file mode 100644
index 000000000000..ffd511a75b35
--- /dev/null
+++ b/dev-python/sphinx-panels/sphinx-panels-0.6.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A sphinx extension for creating panels in a grid layout"
+HOMEPAGE="https://github.com/executablebooks/sphinx-panels"
+SRC_URI="https://github.com/executablebooks/sphinx-panels/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+BDEPEND="test? ( dev-python/pytest-regressions[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
diff --git a/dev-python/sphinxcontrib-doxylink/Manifest b/dev-python/sphinxcontrib-doxylink/Manifest
index 99bfb5a222a6..3e227fc8ec6b 100644
--- a/dev-python/sphinxcontrib-doxylink/Manifest
+++ b/dev-python/sphinxcontrib-doxylink/Manifest
@@ -1,2 +1 @@
-DIST sphinxcontrib-doxylink-1.6.1.tar.gz 10173 BLAKE2B 2bb341576c459715a8bfc0a6a7b971e76afdcfba6a082b3f95844678e54c248e814e1a45a1a5d63d85407dcc6d2f7e56e4211b9603014b8478c7eb35e8b9a73d SHA512 c27983cbd54d6ff2c4110b0269d630cd81b8aff6bf7f6b1b006dbb18fc3643d59a25ecff0ec9c92785c697e38861e755fb44a95382314b8b2888da9e8e191637
DIST sphinxcontrib-doxylink-1.8.tar.gz 20005 BLAKE2B e435a65f3931c91e0d7d44d1cb4ebc8e7683ab906864e37a0ac31fc6655dba60cf53ef3d91b9e0ce440e86319ec45e0d81cf43459e02ac7e45c8d1ecbc2a9881 SHA512 1c53af2502fbb493a5834ae3eb05428dd296300f8027b5dd8d93cd67a03ea572ac81a0c3c8e6ddc9017a0b7a0859757d61ea67b73b3ed69fb1db76244ffd6874
diff --git a/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.6.1.ebuild b/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.6.1.ebuild
deleted file mode 100644
index 7265cc0c6847..000000000000
--- a/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.6.1.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Extension to link to external Doxygen API documentation"
-HOMEPAGE="https://pypi.org/project/sphinxcontrib-doxylink/ https://pythonhosted.org/sphinxcontrib-doxylink/ https://github.com/sphinx-contrib/doxylink"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
- >=dev-python/sphinx-1.0[${PYTHON_USEDEP}]
- dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
- dev-python/pyparsing[${PYTHON_USEDEP}]
-"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]"
-
-python_install_all() {
- distutils-r1_python_install_all
- find "${ED}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.8.ebuild b/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.8.ebuild
index 2f253c918a63..4f4c4f6bbd98 100644
--- a/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.8.ebuild
+++ b/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.8.ebuild
@@ -14,7 +14,7 @@ S="${WORKDIR}/doxylink-${PV}"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm arm64 ~x86 ~amd64-linux ~x86-linux"
RDEPEND="
>=dev-python/sphinx-1.0[${PYTHON_USEDEP}]
diff --git a/dev-python/zeep/zeep-3.4.0.ebuild b/dev-python/zeep/zeep-3.4.0.ebuild
index 9722301c460f..327bd2b84dec 100644
--- a/dev-python/zeep/zeep-3.4.0.ebuild
+++ b/dev-python/zeep/zeep-3.4.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -16,7 +16,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"
-IUSE="async -tornado"
+IUSE="async tornado"
RDEPEND="
>=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]